%global ibus_tables_dir %{_datadir}/ibus-table/tables
%global ibus_icons_dir %{_datadir}/ibus-table/icons

Summary:        Chinese input tables for IBus
Summary(zh_CN): 中文码表输入法
Name:           ibus-table-chinese
Version:        1.8.11
Release:        6%{?dist}
License:        GPLv3+
URL:            https://github.com/mike-fabian/ibus-table-chinese
Source0:        %{url}/archive/%{version}.tar.gz
Source1:        ibus-table-chinese-array.appdata.xml
Source2:        ibus-table-chinese-cangjie.appdata.xml
Source3:        ibus-table-chinese-cantonese.appdata.xml
Source4:        ibus-table-chinese-cantonyale.appdata.xml
Source5:        ibus-table-chinese-easy.appdata.xml
Source6:        ibus-table-chinese-erbi.appdata.xml
Source7:        ibus-table-chinese-quick.appdata.xml
Source8:        ibus-table-chinese-scj.appdata.xml
Source9:        ibus-table-chinese-stroke5.appdata.xml
Source10:       ibus-table-chinese-wu.appdata.xml
Source11:       ibus-table-chinese-wubi-haifeng86.appdata.xml
Source12:       ibus-table-chinese-wubi-jidian86.appdata.xml
Source13:       ibus-table-chinese-yong.appdata.xml

BuildRequires:  cmake ibus-table-devel make
Requires:       ibus-table
BuildArch:      noarch

%description
ibus-table-chinese is provides the infrastructure for Chinese input methods.  Input tables
themselves are in subpackages.

%package array
Summary:       Array input methods
Summary(zh_CN): 行列输入法
License:       Freely redistributable without restriction
Requires:       %{name} = %{version}-%{release}
Provides:       ibus-table-array30 = %{version}-%{release}

%description array
Array input method is a free, open-minded character-structured input method. Includes:
array30: 27489 characters.
array30-big: 27489 characters + Unicode ExtB.

%package cangjie
Summary:       Cangjie based input methods
Summary(zh_CN): 仓颉输入法
License:       Freely redistributable without restriction
Requires:       %{name} = %{version}-%{release}
Provides:       ibus-table-cangjie = %{version}-%{release}

%description cangjie
Cangjie based input methods, includes: Cangjie3, Canjie5, and Cangjie big tables.

%package cantonese
Summary:        Cantonese input methods
License:       GPLv2 and GPLv3+ and Freely redistributable without restriction
Requires:       %{name} = %{version}-%{release}
Provides:       ibus-table-cantonese = %{version}-%{release}

%description cantonese
Cantonese input methods, includes: Cantonese, Hong-Kong version of Cantonese, and jyutping.

%package easy
Summary:        Easy input method
Summary(zh_CN): 轻松输入法
License:        GPLv2
Requires:       %{name} = %{version}-%{release}
Provides:       ibus-table-easy = %{version}-%{release}

%description easy
Easy phrase-wise input method.

%description -l zh_CN  easy
轻松大词库

%package erbi
Summary: Erbi input method
Summary(zh_CN): 二笔输入法
License:       GPLv2+
Requires:       %{name} = %{version}-%{release}
Provides:       ibus-table-erbi = %{version}-%{release}

%description erbi
Erbi input methods. Includes: Super Erbi (as erbi) and  Erbi Qin-Song (erbi-qs)

%description -l zh_CN erbi
包含：
小林子二笔 (erbi)
以及青松二笔 (erbi-qs)

%package quick
Summary:       Quick-to-learn input methods
Summary(zh_CN): 速成输入法
License:       Freely redistributable without restriction
Requires:       %{name} = %{version}-%{release}
Provides:       ibus-table-quick = %{version}-%{release}

%description quick
Quick-to-learn is based on Cangjie input method, but only need Canjie's first and last word-root to
form a character.

Includes:
Quick3, Quick5 and Quick-Classic.

%package scj
Summary: Smart Cangjie
Summary(zh_CN): 快速仓颉输入法
License:       GPLv3+
Requires:       %{name} = %{version}-%{release}
Provides:       ibus-table-cangjie = %{version}-%{release}

%description scj
Smart Cangjie is an improved Cangjie base input method which handles Cangjie, Quick, Cantonese,
Chinese punctuation, Japanese, 3000 frequent words by Hong Kong government, both Traditional and
Simplified Chinese.

This package includes the Smart Cangjie 6.

%description -l zh_CN scj
快速仓颉输入法第六代（快仓六）是一个多功能和多任务的输入法系统。在功能方面，它不但拥有多种不同版
本的仓颉输入法、速成输入法、广东话输入法、高效率的标点、特殊符号和数字编码、日文编码、香港政府
三千常用字编码、简码和容错码，而且还能够处理繁体和简体文字。在任务方面，它不但承袭了传统仓颉的
「中文输入、输出、辨识和释义」等功能，而且还能肩负起促进「资讯科技教育、母语教育和特殊教育」等多重任务。

%package stroke5
Summary: Stroke 5 input method
Summary(zh_CN): 笔顺五码输入法
License:        GPLv3+
Requires:       %{name} = %{version}-%{release}
Provides:       ibus-table-stroke5 = %{version}-%{release}

%description stroke5
Stroke5 input method.

%description -l zh_CN stroke5
笔顺五码。

%package wu
Summary: Wu pronunciation input method
Summary(zh_CN): 上海吳语注音输入法
License:        GPLv2+
Requires:       %{name} = %{version}-%{release}
Provides:       ibus-table-wu = %{version}-%{release}

%description wu
Wu pronunciation input method.
URL: http://input.foruto.com/wu/

%description -l zh_CN wu
上海吳语注音输入法。
URL: http://input.foruto.com/wu/

%package wubi-haifeng
Summary: Haifeng Wubi input method
Summary(zh_CN): 海峰五笔输入法
License:        BSD
Requires:       %{name} = %{version}-%{release}
Provides:       ibus-table-wubi = %{version}-%{release}

%description wubi-haifeng
Haifeng Wubi input methods. Current includes: Haifeng Wubi 86.

%description -l zh_CN wubi-haifeng
海峰五笔输入法。包含：海峰五笔86。

%package wubi-jidian
Summary: Jidian Wubi 86 input method, JiShuang 6.0
Summary(zh_CN): 极点五笔86输入法 极爽词库 6.0
License:       Freely redistributable without restriction
Requires:       %{name} = %{version}-%{release}
Provides:       ibus-table-wubi = %{version}-%{release}

%description wubi-jidian
Jidian Wubi input methods. Current includes:
Wubi 86.

%description -l zh_CN wubi-jidian
使用极爽字库之极点五笔输入法。

%package yong
Summary: YongMa input method
Summary(zh_CN): 永码输入法
License:        GPLv3
Requires:       %{name} = %{version}-%{release}
Provides:       ibus-table-yong = %{version}-%{release}

%description yong
YongMa input method.

%description -l zh_CN yong
永码输入法。

%package cantonyale
Summary:        Cantonese input method based on yale romanization
License:        GPLv2
Requires:       %{name} = %{version}-%{release}

%description cantonyale
Cantonese input method based on yale romanization

%prep
%autosetup -n %{name}-%{version}

%build
cmake -B build-noarch -S .
make -C build-noarch

%install
rm -rf %{buildroot}
make -C build-noarch install DESTDIR=%{buildroot}

mkdir -p %{buildroot}%{_datadir}/metainfo
cp %{SOURCE1}  %{buildroot}%{_datadir}/metainfo
cp %{SOURCE2}  %{buildroot}%{_datadir}/metainfo
cp %{SOURCE3}  %{buildroot}%{_datadir}/metainfo
cp %{SOURCE4}  %{buildroot}%{_datadir}/metainfo
cp %{SOURCE5}  %{buildroot}%{_datadir}/metainfo
cp %{SOURCE6}  %{buildroot}%{_datadir}/metainfo
cp %{SOURCE7}  %{buildroot}%{_datadir}/metainfo
cp %{SOURCE8}  %{buildroot}%{_datadir}/metainfo
cp %{SOURCE9}  %{buildroot}%{_datadir}/metainfo
cp %{SOURCE10} %{buildroot}%{_datadir}/metainfo
cp %{SOURCE11} %{buildroot}%{_datadir}/metainfo
cp %{SOURCE12} %{buildroot}%{_datadir}/metainfo
cp %{SOURCE13} %{buildroot}%{_datadir}/metainfo

rm -fr %{buildroot}%{_docdir}/*

%files
%license COPYING
%doc AUTHORS README ChangeLog

%files array
%{_datadir}/metainfo/ibus-table-chinese-array.appdata.xml
%{ibus_icons_dir}/array30.*
%{ibus_tables_dir}/array30.db
%{ibus_icons_dir}/array30-big.*
%{ibus_tables_dir}/array30-big.db

%files cangjie
%{_datadir}/metainfo/ibus-table-chinese-cangjie.appdata.xml
%{ibus_icons_dir}/cangjie3.*
%{ibus_tables_dir}/cangjie3.db
%{ibus_icons_dir}/cangjie5.*
%{ibus_tables_dir}/cangjie5.db
%{ibus_icons_dir}/cangjie-big.*
%{ibus_tables_dir}/cangjie-big.db

%files cantonese
%{_datadir}/metainfo/ibus-table-chinese-cantonese.appdata.xml
%{ibus_icons_dir}/cantonese.*
%{ibus_tables_dir}/cantonese.db
%{ibus_icons_dir}/cantonhk.*
%{ibus_tables_dir}/cantonhk.db
%{ibus_icons_dir}/jyutping.*
%{ibus_tables_dir}/jyutping.db

%files easy
%{_datadir}/metainfo/ibus-table-chinese-easy.appdata.xml
%{ibus_icons_dir}/easy-big.*
%{ibus_tables_dir}/easy-big.db

%files erbi
%{_datadir}/metainfo/ibus-table-chinese-erbi.appdata.xml
%{ibus_icons_dir}/erbi.*
%{ibus_tables_dir}/erbi.db
%{ibus_icons_dir}/erbi-qs.*
%{ibus_tables_dir}/erbi-qs.db

%files quick
%{_datadir}/metainfo/ibus-table-chinese-quick.appdata.xml
%{ibus_icons_dir}/quick3.*
%{ibus_tables_dir}/quick3.db
%{ibus_icons_dir}/quick5.*
%{ibus_tables_dir}/quick5.db
%{ibus_icons_dir}/quick-classic.*
%{ibus_tables_dir}/quick-classic.db

%files scj
%{_datadir}/metainfo/ibus-table-chinese-scj.appdata.xml
%{ibus_icons_dir}/scj6.*
%{ibus_tables_dir}/scj6.db

%files stroke5
%{_datadir}/metainfo/ibus-table-chinese-stroke5.appdata.xml
%{ibus_icons_dir}/stroke5.*
%{ibus_tables_dir}/stroke5.db

%files wu
%{_datadir}/metainfo/ibus-table-chinese-wu.appdata.xml
%{ibus_icons_dir}/wu.*
%{ibus_tables_dir}/wu.db

%files wubi-haifeng
%{_datadir}/metainfo/ibus-table-chinese-wubi-haifeng86.appdata.xml
%doc tables/wubi-haifeng/COPYING tables/wubi-haifeng/README
%{ibus_icons_dir}/wubi-haifeng86.*
%{ibus_tables_dir}/wubi-haifeng86.db

%files wubi-jidian
%{_datadir}/metainfo/ibus-table-chinese-wubi-jidian86.appdata.xml
%{ibus_icons_dir}/wubi-jidian86.*
%{ibus_tables_dir}/wubi-jidian86.db

%files yong
%{_datadir}/metainfo/ibus-table-chinese-yong.appdata.xml
%{ibus_icons_dir}/yong.*
%{ibus_tables_dir}/yong.db

%files cantonyale
%{_datadir}/metainfo/ibus-table-chinese-cantonyale.appdata.xml
%{ibus_icons_dir}/cantonyale.*
%{ibus_tables_dir}/cantonyale.db

%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.8.11-6
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.8.11-5
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.8.11-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.8.11-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.8.11-2
- Rebuilt for OpenCloudOS Stream 23

* Mon Mar 13 2023 Shuo Wang <abushwang@tencent.com> - 1.8.11-1
- initial build
